Triton Mobile SDK for Android 3.5.1 This is a custom android player made by Triton Digital

Loading...
Searching...
No Matches
Classes | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
com.tritondigital.ads.AdLoader Class Reference

Loads an ad from an ad request. More...

## Classes
interface | AdLoaderListener
| A listener for receiving AdLoader notifications. More...

## Public Member Functions
void | setTag (String msg)
void | load (String adRequest, Map< String, List< Integer > > dmpSegments)
| Load an ad request.
void | load (String adRequest)
| Load an ad request.
void | load (AdRequestBuilder adRequestBuilder)
| Load an ad request from its builder.
void | load (AdRequestBuilder adRequestBuilder, Map< String, List< Integer > > dmpSegments)
| Load an ad request from its builder with DMP Segments.
void | cancel ()
| Cancel the current loading.
Bundle | getAd ()
| Returns the loaded ad.
int | getError ()
| Returns the error code.
void | setListener (AdLoaderListener listener)
| Sets the ad loader listener.
AdLoaderListener | getListener ()
| Returns the ad loader listener.

## Static Public Member Functions
static String | debugErrorToStr (int errorCode)
| Converts the error codes to a string.

## Static Public Attributes
static final int | ERROR_UNKNOWN_HOST = 8001
| Unknown host.
static final int | ERROR_UNKNOWN = 8003
| Unspecified error.
static final int | ERROR_NETWORK_NOT_AVAILABLE = 8054
| Network not available.
static final int | ERROR_NO_INVENTORY = 8004
| No ad available.

## Detailed Description

Loads an ad from an ad request.

## Member Function Documentation

## ◆ debugErrorToStr()

static String com.tritondigital.ads.AdLoader.debugErrorToStr | ( | int | errorCode | ) |
| static

Converts the error codes to a string.

Note
  Only use for debugging purpose.

## ◆ load() [1/2]

void com.tritondigital.ads.AdLoader.load | ( | String | adRequest | ) |

Load an ad request.

If this class is already loading an ad, it will be cancelled.

## ◆ load() [2/2]

void com.tritondigital.ads.AdLoader.load | ( | String | adRequest,
|  | Map< String, List< Integer > > | dmpSegments
| ) |  |

Load an ad request.

If this class is already loading an ad, it will be cancelled.

The documentation for this class was generated from the following file:

- sdk/src/main/java/com/tritondigital/ads/AdLoader.java